/************************************************************************************
* Guardar Tipo equipo --> tipoEquipo.blade.php
*************************************************************************************/
$("#btnGuardarMarca").click(function () {

    var ArrayInputs = [
        '#marc_descripcion',
    ];

    var ResultadoValidacion = ValidarVista(ArrayInputs);

    if (ResultadoValidacion != false && ResultadoValidacion == true) {

        var marc_descripcion = $('#marc_descripcion').val()
        //var proy_estado = $("input[name='proy_estado']:checked").val()
        //alert(tieq_descripcion);

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: '/GuardarMarca',
            data: {

                'marc_descripcion': marc_descripcion,                

            },

            success: function (data) {

                if (data == true){
                    
                    
                    swal("Registrado con exito", {
                        icon: "success",

                      }).then(function() {
                        //alert(data);
                        window.location.href = "/ListarMarcas";
                        });
                }else{
                    swal("Oops!", "Ocurrio un problema", "error");
                }
            },
            error: function (data) {
                alert(data);
                //swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
            },
        });

    }

});
/************************************************************************************
* Actualizar Tipo equipo --> tipoEquipoEditar.blade.php
*************************************************************************************/
$("#btnActualizarMarca").click(function () {

    var ArrayInputs = [
        '#marc_id',
        '#marc_descripcion',        
    ];

    var ResultadoValidacion = ValidarVista(ArrayInputs);

    if (ResultadoValidacion != false && ResultadoValidacion == true) {

        var marc_id = $('#marc_id').val();
        var marc_descripcion = $('#marc_descripcion').val(); 
        var marc_estado = "";

        $('#marc_estado').is(':checked') ? marc_estado = "ACTIVO" : marc_estado = "INACTIVO";     

        $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: "POST",
            url: '/EditarMarca',
            data: {

                'marc_id': marc_id,
                'marc_descripcion': marc_descripcion,                
                'marc_estado': marc_estado,

            },

            success: function (data) {

                if (data == true){

                    swal("Actualizado con exito", {
                        icon: "success",

                      }).then(function() {
                        //alert(data);
                        window.location.href = "/ListarMarcas";
                        });
                }else{
                    swal("Oops!", "Ocurrio un problema", "error");
                }
            },
            error: function (data) {
                //alert(data);
                swal("Uy!", "Creo que algo salio mal, vuelve a intentar", "error");
            },
        });

    }

});

/************************************************************************************
* Funcion para validar campos vacios en alguna vista
* Recibe un array de inputs
*************************************************************************************/
function ValidarVista(parametro) {

    var validacion = true;
    for (i = 0; i < parametro.length; i++) {
        //alert(parametro[i]);

        if ($(parametro[i]).val() == "") {
            $(parametro[i]).addClass("is-invalid");
            validacion = false;
        }
        else { $(parametro[i]).removeClass("is-invalid"); };
    }
    //alert(parametro);
    return validacion;
}
